Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-02-2018 14:52:44

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

[Résolu]probleme de mise à jour de paquets debian

Bonjour,

Suite à un problème récurent de mise à jour, je me permet de vous sollicité afin de résoudre ce dernier.

Le message : "il y a 32 mises à jours disponibles " s'affiche et je lance la mise à jour comme d'habitude.

Après trois ou quatre tentatives, la manœuvre se termine par le message : "échec de traitement de la requette".

Sur ce, je passe par le terminal et me lance dans une mise à jour aventure !

suite à la commande lancée à partir du terminal, voici ce qu'il y a écrit :

Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 vlc : Dépend: vlc-plugin-base (= 1:2.2.6-dmo1~bpo8+2) mais il n'est pas installable
       Dépend: vlc-plugin-video-output (= 1:2.2.6-dmo1~bpo8+2) mais il n'est pas installable
       Recommande: vlc-plugin-notify (= 1:2.2.6-dmo1~bpo8+2) mais 1:2.2.8-dmo1+deb8u1 est installé
       Recommande: vlc-plugin-samba (= 1:2.2.6-dmo1~bpo8+2) mais 1:2.2.8-dmo1+deb8u1 est installé
       Recommande: vlc-plugin-skins2 (= 1:2.2.6-dmo1~bpo8+2) mais il n'est pas installable
       Recommande: vlc-plugin-video-splitter (= 1:2.2.6-dmo1~bpo8+2) mais il n'est pas installable
       Recommande: vlc-plugin-visualization (= 1:2.2.6-dmo1~bpo8+2) mais il n'est pas installable
 vlc-plugin-notify : Dépend: vlc-nox (= 1:2.2.8-dmo1+deb8u1) mais il n'est pas installé
 vlc-plugin-qt : Dépend: libvlccore8 (= 1:2.2.6-dmo1~bpo8+2) mais 1:2.2.8-dmo1+deb8u1 est installé
 vlc-plugin-samba : Dépend: vlc-nox (= 1:2.2.8-dmo1+deb8u1) mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.




aprés :

thierry@debian-thierry:~$ sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  linux-image-4.9.0-0.bpo.3-amd64
Veuillez utiliser « apt-get autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés :
  vlc vlc-nox vlc-plugin-pulse
Paquets suggérés :
  videolan-doc
Les paquets suivants seront ENLEVÉS :
  vlc-plugin-qt
Les NOUVEAUX paquets suivants seront installés :
  vlc-nox vlc-plugin-pulse
Les paquets suivants seront mis à jour :
  vlc
1 mis à jour, 2 nouvellement installés, 1 à enlever et 31 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/3 973 ko dans les archives.
Après cette opération, 12,9 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]





que dois-je faire ?

Dernière modification par tinéry (19-02-2018 20:00:18)


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#2 19-02-2018 14:58:05

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu]probleme de mise à jour de paquets debian

Bonjour
Peut tu donner le résultat de la commande

apt-cache policy vlc


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#3 19-02-2018 15:00:37

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

voici la réponse :

thierry@debian-thierry:~$ apt-cache policy vlc
vlc:
  Installé : 1:2.2.6-dmo1~bpo8+2
  Candidat : 1:2.2.8-dmo1+deb8u1
 Table de version :
     1:2.2.8-dmo1+deb8u1 0
        500 [url]http://www.deb-multimedia.org/[/url] jessie/main amd64 Packages
 *** 1:2.2.6-dmo1~bpo8+2 0
        100 /var/lib/dpkg/status
     2.2.7-1~deb8u1 0
        500 [url]http://ftp.fr.debian.org/debian/[/url] jessie/main amd64 Packages
        500 [url]http://security.debian.org/[/url] jessie/updates/main amd64 Packages
thierry@debian-thierry:~$

Dernière modification par tinéry (19-02-2018 15:10:35)


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#4 19-02-2018 15:37:00

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu]probleme de mise à jour de paquets debian

Tu as une version ~bpo  qu veux dire qu'elle vient d'un dépot backports a l'origine mais je retrouve pas cette version
Je vois aussi que tu as installé dépot externe multimedia seulement tu n'as pas fais de fichier de préférence , du coup le dépot a une priorité trop élévé
Ou alors ton fichier preference n'est pas bon

Tu pourras jeté un oeil sur le pinning
Voici mon fichier préférence avec une priorité à 50

cat /etc/apt/preferences.d/50multimedia


[code]Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50[/code]
 



Pour créer le fichier avec nano

nano /etc/apt/preferences.d/50multimedia


et tu lui colle les lignes
Ctrl+x pour quitter nano, voulez vous enregistrer O, valider

recharge la liste des paquets

apt update



vérifie que le fichier soit pris en compte et que la priorité mutimédia soit bien a 50

apt-cache policy



enleve vlc et réinstalle le

apt remove vlc


apt install vlc


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#5 19-02-2018 15:55:22

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

On peut tout aussi bien créer des fichiers avec la commande complète de cat, ce qui donne ici :

cat > /etc/apt/preferences.d/50multimedia <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
EOF


Trop cool... cool

Le tuto de l'enfer par exemple pour les sources :
https://debian-facile.org/doc:systeme:a … st-via-cat

et le même depuis la commande cat :
https://debian-facile.org/doc:systeme:c … r-de-texte

Qu'on devrait plus souvent utiliser en fait... wink

Edit : modif en supprimant dans la commande les balises code fausses.

Dernière modification par smolski (19-02-2018 17:51:34)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#6 19-02-2018 17:24:09

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

"et tu lui colle les lignes"
Ctrl+x pour quitter nano, voulez vous enregistrer O, valider



de quelles lignes sagi-t-il ?


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#7 19-02-2018 17:42:36

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

@tinéry
Copie/colle dans le terminal root toute la commande suivante :

cat > /etc/apt/preferences.d/50multimedia <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
EOF


tel quel et tu auras un fichier preferences écrit directement là où il faut, sans avoir à l'écrire toi-même wink

Oups enlevé les balises codes inopportunes, là ! roll

Dernière modification par smolski (19-02-2018 17:50:02)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#8 19-02-2018 17:44:18

bendia
Admin stagiaire
Distrib. : Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu]probleme de mise à jour de paquets debian

Gaffe Smolski, y'a les balises code dans tes commandes hmm

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#9 19-02-2018 17:51:14

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

smolsky, comme le dis brenda, que faire des balises codes ?

j'ai fait le copier collé et voici ce que ça m'indique :

thierry@debian-thierry:~$ sudo cat > /etc/apt/preferences.d/50multimedia <<EOF
> [code]Package: *
> Pin: origin "www.deb-multimedia.org"
> Pin-Priority: 50[/code]
> EOF
bash: /etc/apt/preferences.d/50multimedia: Permission non accordée
thierry@debian-thierry:~$


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#10 19-02-2018 17:53:30

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

y faut ajouter l'option -i à la commande sudo ainsi :

sudo -i cat > /etc/apt/preferences.d/50multimedia <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
EOF

Dernière modification par smolski (19-02-2018 17:54:57)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#11 19-02-2018 18:00:21

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

voici la réponse avec les nouvelles commandes sad

thierry@debian-thierry:~$ sudo -i cat > /etc/apt/preferences.d/50multimedia <<EOF
> Package: *
> Pin: origin "www.deb-multimedia.org"
> Pin-Priority: 50
> EOF
bash: /etc/apt/preferences.d/50multimedia: Permission non accordée
thierry@debian-thierry:~$


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#12 19-02-2018 18:03:55

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

Tu as installé debian avec un mot de pass root ?

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#13 19-02-2018 18:19:17

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

Je n'ai pas réalisé l'installation seul, je l'ai confié à une spécialiste lors du passage de "wheezy à "jessy". Je ne puis confirmer si l'installation c'est faite avec un mot de passe root. Toujours est-il que chaque fois que je passe en super utilisateur sur le terminal, mon mot de passe m'est demander.
Cette indication peut, je l'espère répondre à votre question hmm

un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#14 19-02-2018 18:25:42

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

Impec, donc, sans utiliser sudo passe en terminal root puis refait la commande :

cat > /etc/apt/preferences.d/50multimedia <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
EOF


j'ai testé et ça le fait ainsi. smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#15 19-02-2018 18:30:51

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

je m'excuse smosky, je dois pas être un client facile, mais je ne puis passer en root sans utiliser sudo !?scratchhead.gif

un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#16 19-02-2018 18:34:29

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu]probleme de mise à jour de paquets debian

Ce que voulais dire smolski

sudo -i




puis seulement apres

cat > /etc/apt/preferences.d/50multimedia <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
EOF



on s'assure que le fichier est bien créé

cat /etc/apt/preferences.d/50multimedia



on recharge la liste des paquets

apt update



Edit:

je m'excuse smosky, je dois pas être un client facile, mais je ne puis passer en root sans utiliser sudo !?


alors oui tu dois avoir un terminale administrateur dans la catégorie systeme l'icone est en rouge au lieu de noir

Dernière modification par Croutons (19-02-2018 18:37:05)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#17 19-02-2018 18:49:54

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

crouton,

voici la réponse avec tes indications :

thierry@debian-thierry:~$ sudo -i
[sudo] password for thierry:
root@debian-thierry:~# cat > /etc/apt/preferences.d/50multimedia <<EOF
> Package: *
> Pin: origin "[url=http://www.deb-multimedia.org]www.deb-multimedia.org[/url]"
> Pin-Priority: 50
> EOF
root@debian-thierry:~# cat /etc/apt/preferences.d/50 multimedia
cat: /etc/apt/preferences.d/50: Aucun fichier ou dossier de ce type
cat: multimedia: Aucun fichier ou dossier de ce type
root@debian-thierry:~#

Dernière modification par tinéry (19-02-2018 18:50:13)


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#18 19-02-2018 18:53:43

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu]probleme de mise à jour de paquets debian

Tu as mis un espace entre 50 et multimedia , pour ça qu'il y vois pas de fichier
tant pis recharge les paquets

apt update



puis regarde les priorités devrait avoir changé pour multimedia a 50

apt-cache policy


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#19 19-02-2018 18:58:29

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

voici croutons,


100 /var/lib/dpkg/status
     release a=now
 500 http://www.deb-multimedia.org/ jessie-backports/main Translation-en
  50 http://www.deb-multimedia.org/ jessie-backports/main i386 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable-backports,n=jessie-backports,l=Unofficial Multimedia Packages,c=main
     origin www.deb-multimedia.org
  50 http://www.deb-multimedia.org/ jessie-backports/main amd64 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable-backports,n=jessie-backports,l=Unofficial Multimedia Packages,c=main
     origin www.deb-multimedia.org
 500 http://www.deb-multimedia.org/ jessie/non-free Translation-en
 500 http://www.deb-multimedia.org/ jessie/main Translation-en
  50 http://www.deb-multimedia.org/ jessie/non-free i386 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable,n=jessie,l=Unofficial Multimedia Packages,c=non-free
     origin www.deb-multimedia.org
  50 http://www.deb-multimedia.org/ jessie/main i386 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable,n=jessie,l=Unofficial Multimedia Packages,c=main
     origin www.deb-multimedia.org
  50 http://www.deb-multimedia.org/ jessie/non-free amd64 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable,n=jessie,l=Unofficial Multimedia Packages,c=non-free
     origin www.deb-multimedia.org
  50 http://www.deb-multimedia.org/ jessie/main amd64 Packages
     release v=8.10,o=Unofficial Multimedia Packages,a=oldstable,


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#20 19-02-2018 19:16:54

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu]probleme de mise à jour de paquets debian

oui il y a un petit probleme donc priorité encore a 500

que donne

cat /etc/apt/preferences.d/50multimedia



et

ls /etc/apt/preferences.d/


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#21 19-02-2018 19:22:50

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

merci pour votre aide

thierry@debian-thierry:~$ c

at /etc/apt/preferences.d/50multimedia


Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 50
thierry@debian-thierry:~$ ls /etc/apt/preferences.d/
50multimedia


thierry@debian-thierry:~$

Edit à toto : Mis la commande user et son retour sous la balise Commande user avec séparation du retour pour que ce soit plus clair.


un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#22 19-02-2018 19:54:50

tinéry
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 03-05-2015

Re : [Résolu]probleme de mise à jour de paquets debian

validé !!! tous les paquets sont à jour !!!
milles merci, quel suspens !!
j'ai appris des choses !!! idea.gif

un brin d'herbe sur la banquise et l'ours blanc s'inquiète de sa diète

Hors ligne

#23 19-02-2018 20:14:43

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu]probleme de mise à jour de paquets debian

tinéry a écrit :


j'ai appris des choses !!!


Merci à toi d'avoir initié ce post et de l'avoir conduit à sa finalité pour tous les visiteurs interessés qui y apprendront tout autant.

Force et courage


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

Pied de page des forums